"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactDraggable = _interopRequireDefault(require("react-draggable"));

var _icon = _interopRequireDefault(require("../util/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const noop = () => {};

class DraggableWindow extends _react.Component {
  render() {
    const {
      children,
      draggableProps,
      footer,
      header,
      height = '245px',
      onClickClose,
      scroll = true,
      style
    } = this.props;
    const GREY_BORDER = '#777 1.3px solid';
    return /*#__PURE__*/_react.default.createElement(_reactDraggable.default // Prevent dragging when clicking inside an input (e.g., search bar)
    , _extends({
      cancel: "input",
      handle: ".handle"
    }, draggableProps), /*#__PURE__*/_react.default.createElement("div", {
      style: {
        backgroundColor: 'white',
        border: GREY_BORDER,
        borderRadius: '5%',
        boxShadow: '2px 2px 8px',
        paddingBottom: '10px',
        position: 'absolute',
        width: '350px',
        zIndex: 9999999,
        ...style
      }
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "handle",
      style: {
        borderBottom: GREY_BORDER,
        cursor: 'move',
        padding: '5px'
      }
    }, /*#__PURE__*/_react.default.createElement("button", {
      className: "clear-button-formatting pull-right",
      onClick: onClickClose,
      style: {
        margin: '4px 4px 0 0'
      }
    }, /*#__PURE__*/_react.default.createElement(_icon.default, {
      type: "times"
    })), header), /*#__PURE__*/_react.default.createElement("div", {
      style: {
        height,
        margin: '0px 5px',
        overflowY: scroll ? 'scroll' : null
      }
    }, children), footer && /*#__PURE__*/_react.default.createElement("div", {
      className: "window-footer",
      style: {
        borderTop: GREY_BORDER,
        padding: '5px'
      }
    }, footer)));
  }

}

exports.default = DraggableWindow;
DraggableWindow.defaultProps = {
  onClickClose: noop
};
module.exports = exports.default;

//# sourceMappingURL=draggable-window.js