"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TripSummary = exports.PrintableItineraryContainer = exports.ItineraryContainer = exports.TripBody = exports.TripContainer = exports.Val = exports.TripInfoList = exports.TripTitle = exports.Header = exports.PrintLayout = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _connectedTripDetails = _interopRequireDefault(require("../narrative/connected-trip-details"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// This file contains styles specific for rendering PrintFieldTripLayout.
// They generally mimic the styles found in the OTP native client.
const PrintLayout = _styledComponents.default.div`
  font-size: 16px;
  line-height: 115%;
  margin: 8px;
`;
exports.PrintLayout = PrintLayout;
const Header = _styledComponents.default.div``;
exports.Header = Header;
const TripTitle = _styledComponents.default.h1`
  border-bottom: 3px solid gray;
  font-size: 30px;
  font-weight: bold;
`;
exports.TripTitle = TripTitle;
const TripInfoList = _styledComponents.default.ul`
  font-size: 16px;
  list-style: none;
  margin-top: 1em;
  padding: 0;
`;
exports.TripInfoList = TripInfoList;
const Val = _styledComponents.default.span`
  :empty:before {
    content: 'N/A';
  }
`; // The styles below mirror those found in OTP native client.

exports.Val = Val;
const TripContainer = _styledComponents.default.div`
  background: #ddd;
  margin-top: 1em;

  & > h2 {
    font-size: 20px;
    font-weight: bold;    
    margin: 0;
    padding: 4px;
  }
`;
exports.TripContainer = TripContainer;
const TripBody = _styledComponents.default.div`
  padding: 8px;
`;
exports.TripBody = TripBody;
const ItineraryContainer = _styledComponents.default.div`
  border: 3px solid #444;
  margin-top: .5em;

  & > h3 {
    background: #444;
    color: white;    
    font-size: 18px;
    font-weight: bold;
    margin: 0;
    padding: 4px;
  }
`;
exports.ItineraryContainer = ItineraryContainer;
const PrintableItineraryContainer = _styledComponents.default.div`
  background: white;
  padding: 12px;
`;
exports.PrintableItineraryContainer = PrintableItineraryContainer;
const TripSummary = (0, _styledComponents.default)(_connectedTripDetails.default)`
  background: #eee;
  border: 1px solid #bbb;
  border-radius: 0;
  margin-top: 15px;
  padding: 5px;
`;
exports.TripSummary = TripSummary;

//# sourceMappingURL=print-styled.js