"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _query = require("@opentripplanner/core-utils/lib/query");

var _time = require("@opentripplanner/core-utils/lib/time");

var _moment = _interopRequireDefault(require("moment"));

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var formActions = _interopRequireWildcard(require("../../actions/form"));

var _callTaker = require("../../util/call-taker");

var _styled = require("./styled");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Displays information for a query stored for the Call Taker module.
 */
class QueryRecordLayout extends _react.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "_getParams", () => (0, _query.planParamsToQuery)((0, _callTaker.parseQueryParams)(this.props.query.queryParams)));

    _defineProperty(this, "_viewQuery", () => {
      const {
        parseUrlQueryString
      } = this.props;

      const params = this._getParams();

      parseUrlQueryString(params, '_CALL');
    });
  }

  render() {
    const {
      query,
      timeFormat
    } = this.props;

    const params = this._getParams();

    const time = query.timeStamp ? (0, _moment.default)(query.timeStamp).format(timeFormat) : (0, _moment.default)(params.time, _time.OTP_API_TIME_FORMAT).format(timeFormat);
    return /*#__PURE__*/_react.default.createElement("li", null, /*#__PURE__*/_react.default.createElement(_styled.CallRecordButton, {
      className: "clear-button-formatting",
      onClick: this._viewQuery
    }, /*#__PURE__*/_react.default.createElement(_styled.CallRecordIcon, {
      type: "search"
    }), time, /*#__PURE__*/_react.default.createElement("br", null), params.from.name, " to ", params.to.name));
  }

}

const mapStateToProps = (state, ownProps) => {
  return {
    timeFormat: (0, _time.getTimeFormat)(state.otp.config)
  };
};

const {
  parseUrlQueryString
} = formActions;
const mapDispatchToProps = {
  parseUrlQueryString
};
const QueryRecord = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(QueryRecordLayout);
var _default = QueryRecord;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=query-record.js