"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _locationField = _interopRequireDefault(require("@opentripplanner/location-field"));

var _styled = require("@opentripplanner/location-field/lib/styled");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var mapActions = _interopRequireWildcard(require("../../actions/map"));

var _connectLocationField = _interopRequireDefault(require("./connect-location-field"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const StyledLocationField = (0, _styledComponents.default)(_locationField.default)`
  width: 100%;

  ${_styled.DropdownContainer} {
    display: table-cell;
    vertical-align: middle;
    width: 1%;
  }

  ${_styled.FormGroup} {
    display: table;
    padding: 6px 12px;
    width: 100%;
  }

  ${_styled.Input} {
    display: table-cell;
    padding: 6px 12px;
    width: 100%;
  }

  ${_styled.InputGroup} {
    width: 100%;
  }

  ${_styled.InputGroupAddon} {
    display: table-cell;
    vertical-align: middle;
    width: 1%;
  }

  ${_styled.MenuItemA} {
    text-decoration: none;
  }

  ${_styled.MenuItemA}:hover {
    color: #333;
  }
`;

var _default = (0, _connectLocationField.default)(StyledLocationField, {
  actions: {
    clearLocation: mapActions.clearLocation,
    onLocationSelected: mapActions.onLocationSelected
  },
  includeLocation: true
});

exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=connected-location-field.js