"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _auth0React = require("@auth0/auth0-react");

var _connectedReactRouter = require("connected-react-router");

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var uiActions = _interopRequireWildcard(require("../../actions/ui"));

var _constants = require("../../util/constants");

var _ui2 = require("../../util/ui");

var _withLoggedInUserSupport = _interopRequireDefault(require("./with-logged-in-user-support"));

var _appFrame = _interopRequireDefault(require("../app/app-frame"));

var _subNav = _interopRequireDefault(require("./sub-nav"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * This component contains common navigation elements and wrappers and should
 * wrap any user account page (e.g., SavedTripList or account settings).
 */
class AccountPage extends _react.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "_checkAccountCreated", () => {
      const {
        isTermsOrVerifyPage,
        loggedInUser,
        routeTo
      } = this.props;

      if (!loggedInUser.hasConsentedToTerms && !isTermsOrVerifyPage) {
        routeTo(_constants.CREATE_ACCOUNT_PATH, null, _connectedReactRouter.replace);
      }
    });
  }

  componentDidMount() {
    this._checkAccountCreated();
  }

  render() {
    const {
      children,
      subnav = true
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_appFrame.default, {
      SubNav: subnav && _subNav.default
    }, children);
  }

} // connect to the redux store


const mapStateToProps = (state, ownProps) => {
  const currentPath = state.router.location.pathname;
  return {
    isTermsOrVerifyPage: currentPath === _constants.CREATE_ACCOUNT_TERMS_PATH || currentPath === _constants.CREATE_ACCOUNT_VERIFY_PATH,
    loggedInUser: state.user.loggedInUser
  };
};

const mapDispatchToProps = {
  routeTo: uiActions.routeTo
};

var _default = (0, _withLoggedInUserSupport.default)((0, _auth0React.withAuthenticationRequired)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(AccountPage), _ui2.RETURN_TO_CURRENT_ROUTE), true);

exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=account-page.js