"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _reactIntl = require("react-intl");

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DeleteButton = (0, _styledComponents.default)(_reactBootstrap.Button)`
  background-color: white;
  color: #d9534f;
  :hover, :focus, :active, :focus:active {
    background-color: #f7f7f7;
    color: #d9534f;
  }
`;
/**
 * Renders a delete user button for the account settings page.
 */

const DeleteUser = ({
  onDelete
}) => /*#__PURE__*/_react.default.createElement(DeleteButton, {
  block: true,
  bsSize: "large",
  bsStyle: "danger",
  onClick: onDelete
}, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
  id: "components.DeleteUser.deleteMyAccount"
}));

var _default = DeleteUser;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=delete-user.js