"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = noLongerPossibleRenderer;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips that are no longer possible after
 * otp-middleware was unable to find a matching itinerary for a whole week.
 */
function noLongerPossibleRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.noLongerPossible.heading"
  });
  data.bodyText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.noLongerPossible.description"
  });
  data.shouldRenderAlerts = false;
  data.shouldRenderDeleteTripButton = true;
  data.shouldRenderPlanNewTripButton = true;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=no-longer-possible-renderer.js