"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = notYetCalculatedTripRenderer;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips where otp-middleware has yet to
 * calculate when the next trip is occurring.
 */
function notYetCalculatedTripRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.notCalculated.heading"
  });
  data.lastCheckedText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.notCalculated.awaiting"
  });
  data.bodyText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.notCalculated.description"
  });
  data.shouldRenderAlerts = false;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=not-yet-calculated-renderer.js