"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _icons = require("@opentripplanner/icons");

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _formattedDuration = _interopRequireDefault(require("../../util/formatted-duration"));

var _itinerarySummary = _interopRequireDefault(require("../../narrative/default/itinerary-summary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TripSummary = ({
  monitoredTrip
}) => {
  const {
    itinerary
  } = monitoredTrip;
  const {
    duration,
    endTime,
    startTime
  } = itinerary; // TODO: use the modern itinerary summary built for trip comparison.

  return /*#__PURE__*/_react.default.createElement("div", {
    className: `otp option default-itin`,
    style: {
      borderTop: '0px',
      padding: '0px'
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "header"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "title"
  }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripSummary.itinerary"
  })), ' ', /*#__PURE__*/_react.default.createElement("span", {
    className: "duration pull-right"
  }, /*#__PURE__*/_react.default.createElement(_formattedDuration.default, {
    duration: duration
  })), ' ', /*#__PURE__*/_react.default.createElement("span", {
    className: "arrivalTime"
  }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "common.time.departureArrivalTimes",
    values: {
      endTime: endTime,
      startTime: startTime
    }
  })), /*#__PURE__*/_react.default.createElement(_itinerarySummary.default, {
    itinerary: itinerary,
    LegIcon: _icons.ClassicLegIcon
  })));
};

var _default = TripSummary;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=trip-summary.js