"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom.iterable");

var _formik = require("formik");

var _react = _interopRequireWildcard(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _reactIntl = require("react-intl");

var _reactPhoneNumberInput = require("react-phone-number-input");

var _input = _interopRequireDefault(require("react-phone-number-input/input"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var yup = _interopRequireWildcard(require("yup"));

var _ui = require("../../util/ui");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const allowedNotificationChannels = ['email', 'sms', 'none']; // Styles
// HACK: Preserve container height.

const Details = _styledComponents.default.div`
  min-height: 60px;
  margin-bottom: 15px;
`;
const ControlStrip = _styledComponents.default.div`
  > * {
    margin-right: 4px;
  }
`;
const phoneFieldCss = (0, _styledComponents.css)`
  display: inline-block;
  vertical-align: middle;
  width: 14em;
`;
const InlineTextInput = (0, _styledComponents.default)(_reactBootstrap.FormControl)`
  ${phoneFieldCss}
`;
const InlineStatic = (0, _styledComponents.default)(_reactBootstrap.FormControl.Static)`
  ${phoneFieldCss}
`;
const InlinePhoneInput = (0, _styledComponents.default)(_input.default)`
  ${phoneFieldCss}
`;
const FlushLink = (0, _styledComponents.default)(_reactBootstrap.Button)`
  padding-left: 0;
  padding-right: 0;
`;
const StyledToggleButton = (0, _styledComponents.default)(_reactBootstrap.ToggleButton)`
  &::first-letter {
    text-transform: uppercase;
  }
`; // Because we show the same message for the two validation conditions below,
// there is no need to pass that message here,
// that is done in the corresponding `<HelpBlock>` in PhoneNumberEditor.

const codeValidationSchema = yup.object({
  validationCode: yup.string().required().matches(/^\d{6}$/) // 6-digit string

});
/**
 * User notification preferences pane.
 */

const NotificationPrefsPane = ({
  handleBlur,
  // Formik prop
  handleChange,
  // Formik prop
  loggedInUser,
  onRequestPhoneVerificationCode,
  onSendPhoneVerificationCode,
  phoneFormatOptions,
  values: userData // Formik prop

}) => {
  const {
    email,
    isPhoneNumberVerified,
    phoneNumber
  } = loggedInUser;
  const {
    notificationChannel
  } = userData;
  const initialFormikValues = {
    validationCode: ''
  };
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.NotificationPrefsPane.description"
  })), /*#__PURE__*/_react.default.createElement(_reactBootstrap.FormGroup, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ControlLabel, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.NotificationPrefsPane.notificationChannelPrompt"
  })), /*#__PURE__*/_react.default.createElement(_reactBootstrap.ButtonToolbar, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ToggleButtonGroup, {
    defaultValue: notificationChannel,
    name: "notificationChannel",
    type: "radio"
  }, allowedNotificationChannels.map((type, index) =>
  /*#__PURE__*/
  // TODO: If removing the Save/Cancel buttons on the account screen,
  // persist changes immediately when onChange is triggered.
  _react.default.createElement(StyledToggleButton, {
    bsStyle: notificationChannel === type ? 'primary' : 'default',
    key: index // onBlur and onChange have to be set on individual controls instead of the control group
    // in order for Formik to correctly process the changes.
    ,
    onBlur: handleBlur,
    onChange: handleChange,
    value: type
  }, type === 'email' ? /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "common.notifications.email"
  }) : type === 'sms' ? /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "common.notifications.sms"
  }) : /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.NotificationPrefsPane.noneSelect"
  })))))), /*#__PURE__*/_react.default.createElement(Details, null, notificationChannel === 'email' && /*#__PURE__*/_react.default.createElement(_reactBootstrap.FormGroup, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ControlLabel, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.NotificationPrefsPane.notificationEmailDetail"
  })), /*#__PURE__*/_react.default.createElement(_reactBootstrap.FormControl.Static, null, email)), notificationChannel === 'sms' && /*#__PURE__*/_react.default.createElement(_formik.Formik, {
    initialValues: initialFormikValues,
    validateOnChange: true,
    validationSchema: codeValidationSchema
  }, // Pass Formik props to the component rendered so Formik can manage its validation.
  // (The validation for this component is independent of the validation set in UserAccountScreen.)
  innerProps => {
    return /*#__PURE__*/_react.default.createElement(PhoneNumberEditorWithIntl, _extends({}, innerProps, {
      initialPhoneNumber: phoneNumber,
      initialPhoneNumberVerified: isPhoneNumberVerified,
      onRequestCode: onRequestPhoneVerificationCode,
      onSubmitCode: onSendPhoneVerificationCode,
      phoneFormatOptions: phoneFormatOptions
    }));
  })));
};

var _default = NotificationPrefsPane;
/**
 * Sub-component that handles phone number and validation code editing and validation intricacies.
 */

exports.default = _default;

class PhoneNumberEditor extends _react.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "_handleEditNumber", () => {
      this.setState({
        isEditing: true,
        newPhoneNumber: ''
      });
    });

    _defineProperty(this, "_handleNewPhoneNumberChange", newPhoneNumber => {
      this.setState({
        newPhoneNumber
      });
    });

    _defineProperty(this, "_handleCancelEditNumber", () => {
      this.setState({
        isEditing: false
      });
    });

    _defineProperty(this, "_handlePhoneNumberKeyDown", e => {
      if (e.keyCode === 13) {
        // On the user pressing enter (keyCode 13) on the phone number field,
        // prevent form submission and request the code.
        e.preventDefault();

        this._handleRequestCode();
      }
    });

    _defineProperty(this, "_handleValidationCodeKeyDown", e => {
      if (e.keyCode === 13) {
        // On the user pressing enter (keyCode 13) on the validation code field,
        // prevent form submission and send the validation code.
        e.preventDefault();

        this._handleSubmitCode();
      }
    });

    _defineProperty(this, "_handleRequestCode", () => {
      const {
        initialPhoneNumber,
        initialPhoneNumberVerified,
        onRequestCode
      } = this.props;
      const {
        newPhoneNumber
      } = this.state;

      this._handleCancelEditNumber(); // Send the SMS request if one of these conditions apply:
      // - the user entered a valid phone number different than their current verified number,
      // - the user clicks 'Request new code' for an already pending number
      //   (they could have refreshed the page in between).


      let submittedNumber;

      if (newPhoneNumber && (0, _reactPhoneNumberInput.isPossiblePhoneNumber)(newPhoneNumber) && !(newPhoneNumber === initialPhoneNumber && initialPhoneNumberVerified)) {
        submittedNumber = newPhoneNumber;
      } else if (this._isPhoneNumberPending()) {
        submittedNumber = initialPhoneNumber;
      }

      if (submittedNumber) {
        onRequestCode(submittedNumber);
      }
    });

    _defineProperty(this, "_handleSubmitCode", () => {
      const {
        errors,
        onSubmitCode,
        values
      } = this.props;
      const {
        validationCode
      } = values;

      if (!errors.validationCode) {
        onSubmitCode(validationCode);
      }
    });

    _defineProperty(this, "_isPhoneNumberPending", () => {
      const {
        initialPhoneNumber,
        initialPhoneNumberVerified
      } = this.props;
      return !(0, _ui.isBlank)(initialPhoneNumber) && !initialPhoneNumberVerified;
    });

    const {
      initialPhoneNumber: _initialPhoneNumber
    } = props;
    this.state = {
      // If true, phone number is being edited.
      // For new users, render component in editing state.
      isEditing: (0, _ui.isBlank)(_initialPhoneNumber),
      // Holds the new phone number (+15555550123 format) entered by the user
      // (outside of Formik because (Phone)Input does not have a standard onChange event or simple valitity test).
      newPhoneNumber: ''
    };
  }

  componentDidUpdate(prevProps) {
    // If new phone number and verified status are received,
    // then reset/clear the inputs.
    if (this.props.phoneNumber !== prevProps.phoneNumber || this.props.isPhoneNumberVerified !== prevProps.isPhoneNumberVerified) {
      this._handleCancelEditNumber();

      this.props.resetForm();
    }
  }

  render() {
    const {
      errors,
      // Formik prop
      initialPhoneNumber,
      intl,
      phoneFormatOptions,
      touched // Formik prop

    } = this.props;
    const {
      isEditing,
      newPhoneNumber
    } = this.state;

    const isPending = this._isPhoneNumberPending(); // Here are the states we are dealing with:
    // - First time entering a phone number/validation code (blank value, not modified)
    //   => no color, no feedback indication.
    // - Typing backspace all the way to erase a number/code (blank value, modified)
    //   => red error.
    // - Typing a phone number that doesn't match the configured phoneNumberRegEx
    //   => red error.


    const isPhoneInvalid = !(0, _reactPhoneNumberInput.isPossiblePhoneNumber)(newPhoneNumber);
    const showPhoneError = isPhoneInvalid && !(0, _ui.isBlank)(newPhoneNumber);
    const phoneErrorState = showPhoneError ? 'error' : null;
    const codeErrorState = (0, _ui.getErrorStates)(this.props).validationCode;
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, isEditing ?
    /*#__PURE__*/
    // FIXME: If removing the Save/Cancel buttons on the account screen,
    // make this <FormGroup> a <form> and remove onKeyDown handler.
    _react.default.createElement(_reactBootstrap.FormGroup, {
      validationState: phoneErrorState
    }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ControlLabel, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.prompt"
    })), /*#__PURE__*/_react.default.createElement(ControlStrip, null, /*#__PURE__*/_react.default.createElement(InlinePhoneInput, {
      className: "form-control",
      country: phoneFormatOptions.countryCode,
      onChange: this._handleNewPhoneNumberChange,
      onKeyDown: this._handlePhoneNumberKeyDown,
      placeholder: intl.formatMessage({
        id: 'components.PhoneNumberEditor.placeholder'
      }),
      type: "tel",
      value: newPhoneNumber
    }), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
      bsStyle: "primary",
      disabled: isPhoneInvalid,
      onClick: this._handleRequestCode
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.sendVerificationText"
    })), // Show cancel button only if a phone number is already recorded.
    initialPhoneNumber && /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
      onClick: this._handleCancelEditNumber
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "common.forms.cancel"
    })), showPhoneError && /*#__PURE__*/_react.default.createElement(_reactBootstrap.HelpBlock, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.invalidPhone"
    })))) : /*#__PURE__*/_react.default.createElement(_reactBootstrap.FormGroup, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ControlLabel, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.smsDetail"
    })), /*#__PURE__*/_react.default.createElement(ControlStrip, null, /*#__PURE__*/_react.default.createElement(InlineStatic, null, (0, _reactPhoneNumberInput.formatPhoneNumber)(initialPhoneNumber), ' ', isPending ?
    /*#__PURE__*/
    // eslint-disable-next-line jsx-a11y/label-has-for
    _react.default.createElement(_reactBootstrap.Label, {
      bsStyle: "warning"
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.pending"
    })) :
    /*#__PURE__*/
    // eslint-disable-next-line jsx-a11y/label-has-for
    _react.default.createElement(_reactBootstrap.Label, {
      bsStyle: "success"
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.verified"
    }))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
      onClick: this._handleEditNumber
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.changeNumber"
    })))), isPending && !isEditing &&
    /*#__PURE__*/
    // FIXME: If removing the Save/Cancel buttons on the account screen,
    // make this <FormGroup> a <form> and remove onKeyDown handler.
    _react.default.createElement(_reactBootstrap.FormGroup, {
      validationState: codeErrorState
    }, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.verificationInstructions"
    })), /*#__PURE__*/_react.default.createElement(_reactBootstrap.ControlLabel, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.verificationCode"
    })), /*#__PURE__*/_react.default.createElement(ControlStrip, null, /*#__PURE__*/_react.default.createElement(_formik.Field, {
      as: InlineTextInput,
      maxLength: 6,
      name: "validationCode",
      onKeyDown: this._handleValidationCodeKeyDown,
      placeholder: "123456" // HACK: <input type='tel'> triggers the numerical keypad on mobile devices, and otherwise
      // behaves like <input type='text'> with support of leading zeros and the maxLength prop.
      // <input type='number'> causes values to be stored as Number, resulting in
      // leading zeros to be invalid and stripped upon submission.
      ,
      type: "tel" // onBlur, onChange, and value are passed automatically by Formik

    }), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
      bsStyle: "primary",
      disabled: !!errors.validationCode,
      onClick: this._handleSubmitCode
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.verify"
    })), touched.validationCode && errors.validationCode && /*#__PURE__*/_react.default.createElement(_reactBootstrap.HelpBlock, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.invalidCode"
    }))), /*#__PURE__*/_react.default.createElement(FlushLink, {
      bsStyle: "link",
      onClick: this._handleRequestCode
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.PhoneNumberEditor.requestNewCode"
    }))));
  }

}

const PhoneNumberEditorWithIntl = (0, _reactIntl.injectIntl)(PhoneNumberEditor);
module.exports = exports.default;

//# sourceMappingURL=notification-prefs-pane.js