"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FormattedDayOfWeek;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns a FormattedMessage component for the compact day of week such that i18n IDs are
 * hardcoded and can be kept track of by format.js tools
 * TODO: More general FormattedDayOfWeek component that accepts a type of DayOfWeek
 * 'compact', or 'plural', etc. ?
 */
function FormattedDayOfWeek({
  day
}) {
  switch (day) {
    case 'monday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.monday"
      });

    case 'tuesday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.tuesday"
      });

    case 'wednesday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.wednesday"
      });

    case 'thursday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.thursday"
      });

    case 'friday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.friday"
      });

    case 'saturday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.saturday"
      });

    case 'sunday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeek.sunday"
      });

    default:
      return null;
  }
}

FormattedDayOfWeek.propTypes = {
  day: _propTypes.default.string.isRequired
};
FormattedDayOfWeek.defaultProps = {
  day: ''
};
module.exports = exports.default;

//# sourceMappingURL=formatted-day-of-week.js