"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FormattedValidationError;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns a FormattedMessage component for a yup validation error in order to
 * keep react-intl message IDs hardcoded.
 */
function FormattedValidationError({
  type
}) {
  switch (type) {
    case 'invalid-address':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.FavoritePlaceScreen.invalidAddress"
      });

    case 'invalid-name':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.FavoritePlaceScreen.invalidName"
      });

    case 'placename-already-used':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.FavoritePlaceScreen.nameAlreadyUsed"
      });

    case 'trip-name-already-used':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.SavedTripScreen.tripNameAlreadyUsed"
      });

    case 'trip-name-required':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.SavedTripScreen.tripNameRequired"
      });

    default:
      return null;
  }
}

FormattedValidationError.propTypes = {
  type: _propTypes.default.string.isRequired
};
FormattedValidationError.defaultProps = {
  type: ''
};
module.exports = exports.default;

//# sourceMappingURL=formatted-validation-error.js