"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom.iterable");

var _react = _interopRequireWildcard(require("react"));

var _reactIntl = require("react-intl");

var _viewer = require("../../util/viewer");

var _modeIcon = _interopRequireDefault(require("../narrative/mode-icon"));

var _contexts = require("../../util/contexts");

var _nextArrivalForPattern = _interopRequireDefault(require("./next-arrival-for-pattern"));

var _relatedPanel = _interopRequireDefault(require("./related-panel"));

var _viewStopButton = _interopRequireDefault(require("./view-stop-button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class RelatedStopsPanel extends _react.Component {
  constructor(props) {
    super(props);

    _defineProperty(this, "_toggleExpandedView", () => {
      this.setState({
        expanded: !this.state.expanded
      });
    });

    _defineProperty(this, "_getStopIcon", stop => {
      var _stop$routes;

      const {
        ModeIcon
      } = this.context;
      const modes = [...new Set((_stop$routes = stop.routes) === null || _stop$routes === void 0 ? void 0 : _stop$routes.map(_viewer.getModeFromRoute))];

      if (modes.length === 1) {
        return /*#__PURE__*/_react.default.createElement(ModeIcon, {
          height: 22,
          mode: modes[0],
          width: 22
        });
      }

      return /*#__PURE__*/_react.default.createElement(_modeIcon.default, {
        type: "map-marker"
      });
    });

    this.state = {
      expanded: false
    };
  }

  render() {
    const {
      expanded
    } = this.state;
    const {
      homeTimezone,
      nearbyStops,
      setHoveredStop,
      stopViewerArriving,
      stopViewerConfig,
      timeFormat
    } = this.props;

    if ((nearbyStops === null || nearbyStops === void 0 ? void 0 : nearbyStops.length) === 0) {
      return null;
    }

    return /*#__PURE__*/_react.default.createElement(_relatedPanel.default, {
      count: nearbyStops === null || nearbyStops === void 0 ? void 0 : nearbyStops.length,
      expanded: expanded,
      onToggleExpanded: this._toggleExpandedView,
      title: /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.RelatedStopsPanel.relatedStops"
      }) // FIXME: this needs to ideally change with the string length...
      ,
      titleWidth: "13ch"
    }, /*#__PURE__*/_react.default.createElement("ul", {
      className: "related-items-list list-unstyled"
    }, nearbyStops === null || nearbyStops === void 0 ? void 0 : nearbyStops.map((stop, index) => {
      const {
        id
      } = stop;
      if (!expanded && index >= 2) return null;
      const stopTimesByPattern = (0, _viewer.getStopTimesByPattern)(stop);
      const label = (0, _viewer.getStopName)(stop);

      if (Object.keys(stopTimesByPattern).length === 0) {
        return null;
      }

      return (
        /*#__PURE__*/
        // eslint-disable-next-line jsx-a11y/no-noninteractive-element-interactions
        _react.default.createElement("li", {
          className: "related-item",
          key: id,
          onFocus: () => setHoveredStop(stop.id),
          onMouseDown: () => setHoveredStop(null),
          onMouseLeave: () => setHoveredStop(null),
          onMouseOver: () => setHoveredStop(stop.id)
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "stop-label"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "stop-name",
          title: label
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "child-stop-icon"
        }, this._getStopIcon(stop)), /*#__PURE__*/_react.default.createElement("span", {
          className: "stop-name-text"
        }, label)), /*#__PURE__*/_react.default.createElement(_viewStopButton.default, {
          className: "view-child-stop-button",
          stopId: stop.id,
          text: /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
            id: "components.RelatedStopsPanel.viewDetails"
          })
        })), /*#__PURE__*/_react.default.createElement("div", {
          className: "pattern-list"
        }, Object.values(stopTimesByPattern).map(({
          id,
          pattern,
          route,
          times
        }, index) => {
          // Only add pattern if route info is returned by OTP.
          return (0, _viewer.routeIsValid)(route, (0, _viewer.getRouteIdForPattern)(pattern)) ? /*#__PURE__*/_react.default.createElement(_nextArrivalForPattern.default, {
            homeTimezone: homeTimezone,
            key: id,
            pattern: pattern,
            route: route,
            stopTimes: times,
            stopViewerArriving: stopViewerArriving,
            stopViewerConfig: stopViewerConfig,
            timeFormat: timeFormat
          }) : /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
            id: "components.RelatedStopsPanel.noArrivalFound"
          });
        })))
      );
    })));
  }

}

_defineProperty(RelatedStopsPanel, "contextType", _contexts.ComponentContext);

var _default = RelatedStopsPanel;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=related-stops-panel.js